unit clEmpresa;

interface

uses clPessoaJ, clEndereco;

type
  TEmpresa = class(TPessoaJ)
  private
    // mtodos privados
    function getCodigo: String;
    procedure setCodigo(const Value: String);

  protected
    // declarao de atributos
    _codigo: String;
    
  public
    // mtodo contrutor definido por ns
    constructor Create;

    // declarao das propriedades da classe, encapsulamento de atributos
    property Codigo: String read getCodigo write setCodigo;

    // mtodos pblicos
    function Validar(): Boolean;

  end;

implementation

uses SysUtils, clPessoa, clUtil, Math, Dialogs;

{ TEmpresa }

constructor TEmpresa.Create;
begin
  _endereco := TEndereco.Create;
end;

function TEmpresa.getCodigo: String;
begin
  Result := _codigo;
end;

procedure TEmpresa.setCodigo(const Value: String);
begin
  _codigo := Trim(Value);
end;

function TEmpresa.Validar: Boolean;
begin
  // Na validao de dados podemos colocar qualquer atributo para ser validado
  // codigo abaixo deve ser customizado por cada leitor!

  Result := True;
end;

end.
